summaryrefslogtreecommitdiffstats
path: root/modules.d/01systemd-hostnamed/module-setup.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-03 13:54:25 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-03 13:54:25 +0000
commit9cb1c4df7b9ce1a9ad1312621b0f2b16a94fba3a (patch)
tree2efb72864cc69e174c9c5ee33efb88a5f1553b48 /modules.d/01systemd-hostnamed/module-setup.sh
parentInitial commit. (diff)
downloaddracut-9cb1c4df7b9ce1a9ad1312621b0f2b16a94fba3a.tar.xz
dracut-9cb1c4df7b9ce1a9ad1312621b0f2b16a94fba3a.zip
Adding upstream version 060+5.upstream/060+5
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'modules.d/01systemd-hostnamed/module-setup.sh')
-rwxr-xr-xmodules.d/01systemd-hostnamed/module-setup.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/modules.d/01systemd-hostnamed/module-setup.sh b/modules.d/01systemd-hostnamed/module-setup.sh
new file mode 100755
index 0000000..2a1fa02
--- /dev/null
+++ b/modules.d/01systemd-hostnamed/module-setup.sh
@@ -0,0 +1,52 @@
+#!/bin/bash
+# This file is part of dracut.
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+# Prerequisite check(s) for module.
+check() {
+
+ # If the binary(s) requirements are not fulfilled the module can't be installed.
+ require_binaries \
+ hostnamectl \
+ "$systemdutildir"/systemd-hostnamed \
+ || return 1
+
+ # Return 255 to only include the module, if another module requires it.
+ return 255
+
+}
+
+# Module dependency requirements.
+depends() {
+
+ # This module has external dependency on other module(s).
+ echo dbus systemd-sysusers
+ # Return 0 to include the dependent module(s) in the initramfs.
+ return 0
+
+}
+
+# Install the required file(s) and directories for the module in the initramfs.
+install() {
+
+ inst_simple "$moddir/systemd-hostname-dracut.conf" "$sysusers/systemd-hostname-dracut.conf"
+ inst_simple "$moddir/org.freedesktop.hostname1_dracut.conf" "$dbussystem/org.freedesktop.hostname1_dracut.conf"
+ inst_simple "$moddir/99-systemd-networkd-dracut.conf" "$systemdsystemunitdir/systemd-hostnamed.service.d/99-systemd-networkd-dracut.conf"
+
+ inst_multiple -o \
+ "$dbussystem"/org.freedesktop.hostname1.conf \
+ "$dbussystemservices"/org.freedesktop.hostname1.service \
+ "$systemdutildir"/systemd-hostnamed \
+ "$systemdsystemunitdir"/systemd-hostnamed.service \
+ "$systemdsystemunitdir/systemd-hostnamed.service.d/*.conf" \
+ "$systemdsystemunitdir"/dbus-org.freedesktop.hostname1.service \
+ hostnamectl
+
+ # Install the hosts local user configurations if enabled.
+ if [[ $hostonly ]]; then
+ inst_multiple -H -o \
+ /etc/hostname \
+ "$systemdsystemconfdir"/systemd-hostnamed.service \
+ "$systemdsystemconfdir/systemd-hostnamed.service.d/*.conf"
+ fi
+}